FailedOk

th/SRPMS[OK]
th/x32[OK]
th/i686[OK]
th/x86_64[OK]

ac/SRPMS[OK]
ac/i386[OK]
ac/i586[OK]
ac/i686[OK]
ac/alpha[OK]
ac/amd64[OK]
ac/athlon[OK]
ac/ppc[OK]
ac/sparc[OK]
ac/sparc64[OK]

Advanced Search
main()
Powered by PLD Linux
(c) 2002-2024 PLD Team
$Revision: 1.37 $
Powered by /dev/zero.
Your IP: 100.28.227.63

kernel d72718da-43f9-434c-a55d-538dd62cbb68

Status:Failed
Source URL:https://buildlogs.pld-linux.org/pld/th/x86_64/FAIL/kernel,d72718da-43f9-434c-a55d-538dd62cbb68.bz2
text/plain URL:View!
rpm -qa of builder:View!
Date:2023/05/01 22:44:36
Runtime:0:00:39.748696

Toc:

  • prep
  • Executing(%prep): /bin/sh -e /tmp/B.28zju6vg/BUILD/tmp/rpm-tmp.TBbFM3
  • build
  • Executing(%build): /bin/sh -e /tmp/B.28zju6vg/BUILD/tmp/rpm-tmp.CEJ4vq
  • error 1
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:72:32: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 2
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:75:32: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 3
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:78:32: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 4
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:87:30: error: there are no arguments to 'gsi_last' that depend on a template parameter, so a declaration of 'gsi_last' must be available [-fpermissive]
  • error 5
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:88:37: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 6
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:97:30: error: there are no arguments to 'gsi_last' that depend on a template parameter, so a declaration of 'gsi_last' must be available [-fpermissive]
  • error 7
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:98:37: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 8
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:103:32: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 9
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:106:32: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 10
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:109:32: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 11
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:112:32: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 12
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:121:30: error: there are no arguments to 'gsi_last' that depend on a template parameter, so a declaration of 'gsi_last' must be available [-fpermissive]
  • error 13
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:122:37: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 14
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:131:30: error: there are no arguments to 'gsi_last' that depend on a template parameter, so a declaration of 'gsi_last' must be available [-fpermissive]
  • error 15
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:132:37: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 16
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:137:32: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 17
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:140:32: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 18
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:143:32: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 19
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:153:30: error: there are no arguments to 'gsi_last' that depend on a template parameter, so a declaration of 'gsi_last' must be available [-fpermissive]
  • error 20
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:154:37: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 21
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:164:30: error: there are no arguments to 'gsi_last' that depend on a template parameter, so a declaration of 'gsi_last' must be available [-fpermissive]
  • error 22
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:165:37: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 23
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:170:34: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 24
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:175:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type
  • error 25
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:175:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'?
  • error 26
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:176:39: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 27
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:181:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type
  • error 28
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:181:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'?
  • error 29
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:182:39: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 30
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:187:48: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 31
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:192:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type
  • error 32
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:192:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'?
  • error 33
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:193:53: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 34
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:199:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type
  • error 35
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:199:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'?
  • error 36
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:200:53: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 37
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:205:48: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 38
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:211:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type
  • error 39
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:211:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'?
  • error 40
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:212:53: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 41
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:218:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type
  • error 42
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:218:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'?
  • error 43
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:219:53: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 44
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:225:39: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 45
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:231:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type
  • error 46
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:231:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'?
  • error 47
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:232:44: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 48
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:238:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type
  • error 49
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:238:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'?
  • error 50
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:239:44: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 51
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:244:41: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 52
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:251:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type
  • error 53
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:251:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'?
  • error 54
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:252:46: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 55
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:259:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type
  • error 56
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:259:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'?
  • error 57
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:260:46: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 58
  • make[4]: *** [/tmp/B.28zju6vg/BUILD/kernel-6.1-6.1.27/linux-6.1/scripts/gcc-plugins/Makefile:54: scripts/gcc-plugins/stackleak_plugin.so] Error 1
  • error 59
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:72:32: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 60
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:75:32: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 61
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:78:32: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 62
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:87:30: error: there are no arguments to 'gsi_last' that depend on a template parameter, so a declaration of 'gsi_last' must be available [-fpermissive]
  • error 63
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:88:37: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 64
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:97:30: error: there are no arguments to 'gsi_last' that depend on a template parameter, so a declaration of 'gsi_last' must be available [-fpermissive]
  • error 65
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:98:37: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 66
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:103:32: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 67
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:106:32: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 68
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:109:32: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 69
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:112:32: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 70
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:121:30: error: there are no arguments to 'gsi_last' that depend on a template parameter, so a declaration of 'gsi_last' must be available [-fpermissive]
  • error 71
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:122:37: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 72
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:131:30: error: there are no arguments to 'gsi_last' that depend on a template parameter, so a declaration of 'gsi_last' must be available [-fpermissive]
  • error 73
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:132:37: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 74
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:137:32: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 75
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:140:32: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 76
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:143:32: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 77
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:153:30: error: there are no arguments to 'gsi_last' that depend on a template parameter, so a declaration of 'gsi_last' must be available [-fpermissive]
  • error 78
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:154:37: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 79
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:164:30: error: there are no arguments to 'gsi_last' that depend on a template parameter, so a declaration of 'gsi_last' must be available [-fpermissive]
  • error 80
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:165:37: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 81
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:170:34: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 82
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:175:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type
  • error 83
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:175:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'?
  • error 84
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:176:39: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 85
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:181:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type
  • error 86
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:181:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'?
  • error 87
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:182:39: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 88
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:187:48: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 89
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:192:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type
  • error 90
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:192:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'?
  • error 91
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:193:53: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 92
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:199:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type
  • error 93
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:199:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'?
  • error 94
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:200:53: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 95
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:205:48: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 96
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:211:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type
  • error 97
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:211:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'?
  • error 98
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:212:53: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 99
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:218:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type
  • error 100
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:218:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'?
  • error 101
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:219:53: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 102
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:225:39: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 103
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:231:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type
  • error 104
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:231:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'?
  • error 105
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:232:44: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 106
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:238:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type
  • error 107
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:238:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'?
  • error 108
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:239:44: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 109
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:244:41: error: use of enum 'gsi_iterator_update' without previous declaration
  • error 110
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:251:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type
  • error 111
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:251:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'?
  • error 112
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:252:46: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 113
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:259:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type
  • error 114
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:259:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'?
  • error 115
  • /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:260:46: error: 'GSI_CONTINUE_LINKING' was not declared in this scope
  • error 116
  • make[4]: *** [/tmp/B.28zju6vg/BUILD/kernel-6.1-6.1.27/linux-6.1/scripts/gcc-plugins/Makefile:54: scripts/gcc-plugins/randomize_layout_plugin.so] Error 1
  • error 117
  • make[3]: *** [/tmp/B.28zju6vg/BUILD/kernel-6.1-6.1.27/linux-6.1/scripts/Makefile.build:500: scripts/gcc-plugins] Error 2
  • error 118
  • make[2]: *** [/tmp/B.28zju6vg/BUILD/kernel-6.1-6.1.27/linux-6.1/Makefile:1273: scripts] Error 2
  • error 119
  • make[1]: *** [Makefile:238: __sub-make] Error 2
  • error 120
  • error: Bad exit status from /tmp/B.28zju6vg/BUILD/tmp/rpm-tmp.CEJ4vq (%build)
  • error 121
  • RPM build errors:
  • error 122
  • error: No files produced.

Content:

request from: baggins
checking if we should skip the build
started at: Mon May  1 22:43:26 2023
killing old processes on a builder
sending signal 9 to pid -1
cleaning up /tmp
fetching https://srcbuilder.pld-linux.org/th//srpms/d72718da-43f9-434c-a55d-538dd62cbb68/kernel-6.1-6.1.27-1.src.rpm
fetched 136951032 bytes, 19168.8 K/s
installing srpm: kernel-6.1-6.1.27-1.src.rpm
+ install -d /tmp/B.28zju6vg/BUILD /tmp/B.28zju6vg/RPMS
+ LC_ALL=en_US.UTF-8
+ rpm -qp --changelog kernel-6.1-6.1.27-1.src.rpm
* Mon May 01 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kernel.git;a=log;h=LINUX_6_1
* Mon May 01 2023 Jan Rękorajski <baggins@pld-linux.org> d135a8a8 - 6.1.27 * Thu Apr 20 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> c05abe7d - Up to 6.1.24. * Fri Apr 07 2023 Jan Rękorajski <baggins@pld-linux.org> c8b12053 - 6.1.23 * Sat Mar 25 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 11727f0d - Up to 6.1.21. * Mon Mar 20 2023 Jan Rękorajski <baggins@pld-linux.org> 8b41b14b - 6.1.20 * Sat Feb 25 2023 Jan Rękorajski <baggins@pld-linux.org> 81828774 - 6.1.14 * Thu Feb 23 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f7ad196 - Up to 6.1.13. * Wed Feb 08 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 467c77f1 - Package rust sources * Tue Feb 07 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> eb4b1918 - Up to 6.1.10; it's LTS kernel now (until december 2026) * Wed Feb 01 2023 Jan Palus <atler@pld-linux.org> cf9e9f82 - up to 6.1.9 * Tue Jan 24 2023 Jan Palus <atler@pld-linux.org> 8ba2a77d - up to 6.1.8 * Thu Jan 19 2023 Jan Palus <atler@pld-linux.org> 4b11bccb - up to 6.1.7 * Sat Jan 14 2023 Jan Rękorajski <baggins@pld-linux.org> ae18e87a - 6.1.6 * Fri Jan 13 2023 Jan Palus <atler@pld-linux.org> 5a224cc1 - up to 6.1.5 * Sat Jan 07 2023 Jan Palus <atler@pld-linux.org> aba116e1 - up to 6.1.4 * Sun Jan 01 2023 Jan Palus <jpalus@fastmail.com> 281678a2 - remove options dropped in 6.1 * Sun Jan 01 2023 Jan Palus <atler@pld-linux.org> aa6da41d - up to 6.1.2 * Thu Dec 29 2022 Jan Rękorajski <baggins@pld-linux.org> 79502835 - export more symbols needed for binderfs as module * Thu Dec 29 2022 Jan Rękorajski <baggins@pld-linux.org> be80c152 - enable and build android binder as module * Thu Dec 22 2022 Jan Rękorajski <baggins@pld-linux.org> 721827d7 - 6.1.1 + rpm -Uhv --nodeps --define '_topdir /tmp/B.28zju6vg' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' kernel-6.1-6.1.27-1.src.rpm Updating / installing... kernel-6.1-3:6.1.27-1 ######################################## + rm -f kernel-6.1-6.1.27-1.src.rpm + install -m 700 -d /tmp/B.28zju6vg/BUILD/tmp + TMPDIR=/tmp/B.28zju6vg/BUILD/tmp + exec nice -n 0 rpmbuild -bp --short-circuit --nodeps --define '_topdir /tmp/B.28zju6vg' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux --define 'prep exit 0' /tmp/B.28zju6vg/kernel.spec warning: Macro expanded in comment on line 72: %{basever}' for longterm branch warning: Macro expanded in comment on line 76: %{nil}%{?alt_kernel:-%{?alt_kernel}} (defined in rpm.macros) warning: Macro expanded in comment on line 77: %{?alt_kernel:foo} constructs) warning: extra tokens at the end of %endif directive in line 678: %endif # vanilla warning: Could not canonicalize hostname: ymir Building target platforms: x86_64-pld-linux Building for target x86_64-pld-linux RPM build warnings: Macro expanded in comment on line 72: %{basever}' for longterm branch Macro expanded in comment on line 76: %{nil}%{?alt_kernel:-%{?alt_kernel}} (defined in rpm.macros) Macro expanded in comment on line 77: %{?alt_kernel:foo} constructs) extra tokens at the end of %endif directive in line 678: %endif # vanilla Could not canonicalize hostname: ymir checking BuildConflict-ing packages rpm: warning: Macro expanded in comment on line 72: %{basever}' for longterm branch rpm: rpm: warning: Macro expanded in comment on line 76: %{nil}%{?alt_kernel:-%{?alt_kernel}} (defined in rpm.macros) rpm: rpm: warning: Macro expanded in comment on line 77: %{?alt_kernel:foo} constructs) rpm: rpm: warning: extra tokens at the end of %endif directive in line 678: %endif # vanilla rpm: rpm: warning: Could not canonicalize hostname: ymir rpm: Building target platforms: x86_64-pld-linux rpm: Building for target x86_64-pld-linux rpm: rpm: RPM build warnings: rpm: Macro expanded in comment on line 72: %{basever}' for longterm branch rpm: rpm: Macro expanded in comment on line 76: %{nil}%{?alt_kernel:-%{?alt_kernel}} (defined in rpm.macros) rpm: rpm: Macro expanded in comment on line 77: %{?alt_kernel:foo} constructs) rpm: rpm: extra tokens at the end of %endif directive in line 678: %endif # vanilla rpm: rpm: Could not canonicalize hostname: ymir no BuildConflicts found checking BR rpm: warning: Macro expanded in comment on line 72: %{basever}' for longterm branch rpm: rpm: warning: Macro expanded in comment on line 76: %{nil}%{?alt_kernel:-%{?alt_kernel}} (defined in rpm.macros) rpm: rpm: warning: Macro expanded in comment on line 77: %{?alt_kernel:foo} constructs) rpm: rpm: warning: extra tokens at the end of %endif directive in line 678: %endif # vanilla rpm: rpm: warning: Could not canonicalize hostname: ymir rpm: Building target platforms: x86_64-pld-linux rpm: Building for target x86_64-pld-linux rpm: rpm: RPM build warnings: rpm: Macro expanded in comment on line 72: %{basever}' for longterm branch rpm: rpm: Macro expanded in comment on line 76: %{nil}%{?alt_kernel:-%{?alt_kernel}} (defined in rpm.macros) rpm: rpm: Macro expanded in comment on line 77: %{?alt_kernel:foo} constructs) rpm: rpm: extra tokens at the end of %endif directive in line 678: %endif # vanilla rpm: rpm: Could not canonicalize hostname: ymir no BR needed building RPM using: set -ex; : build-id: d72718da-43f9-434c-a55d-538dd62cbb68; TMPDIR=/tmp/B.28zju6vg/BUILD/tmp exec nice -n 0 rpmbuild -bb --define '__jobs 28' --define '_smp_mflags -j28' --define '_make_opts -Otarget' --define '_pld_builder 1' --define '_topdir /tmp/B.28zju6vg' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux /tmp/B.28zju6vg/kernel.spec + : build-id: d72718da-43f9-434c-a55d-538dd62cbb68 + TMPDIR=/tmp/B.28zju6vg/BUILD/tmp + exec nice -n 0 rpmbuild -bb --define '__jobs 28' --define '_smp_mflags -j28' --define '_make_opts -Otarget' --define '_pld_builder 1' --define '_topdir /tmp/B.28zju6vg' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux /tmp/B.28zju6vg/kernel.spec warning: Macro expanded in comment on line 72: %{basever}' for longterm branch warning: Macro expanded in comment on line 76: %{nil}%{?alt_kernel:-%{?alt_kernel}} (defined in rpm.macros) warning: Macro expanded in comment on line 77: %{?alt_kernel:foo} constructs) warning: extra tokens at the end of %endif directive in line 678: %endif # vanilla warning: Could not canonicalize hostname: ymir Building target platforms: x86_64-pld-linux Building for target x86_64-pld-linux Executing(%prep): /bin/sh -e /tmp/B.28zju6vg/BUILD/tmp/rpm-tmp.TBbFM3 + umask 022 + cd /tmp/B.28zju6vg/BUILD + cd /tmp/B.28zju6vg/BUILD + rm -rf kernel-6.1-6.1.27 + /bin/mkdir -p kernel-6.1-6.1.27 + cd kernel-6.1-6.1.27 + /usr/bin/xz -dc /tmp/B.28zju6vg/linux-6.1.tar.xz + /bin/tar -xof - + STATUS=0 + '[' 0 -ne 0 ']' + /bin/chmod -Rf a+rX,u+w,g-w,o-w . + ln -s /tmp/B.28zju6vg/kernel-module-build.pl kernel-module-build.pl + ln -s /tmp/B.28zju6vg/kernel.make Makefile + cd linux-6.1 + echo 'Patch #0 (patch-6.1.27.xz):' Patch #0 (patch-6.1.27.xz): + /usr/bin/xz -dc /tmp/B.28zju6vg/patch-6.1.27.xz + /usr/bin/patch -s -f -p1 '--fuzz=0' + echo 'Patch #2 (android-enable-building-binder-as-module.patch):' Patch #2 (android-enable-building-binder-as-module.patch): + </tmp/B.28zju6vg/android-enable-building-binder-as-module.patch + /usr/bin/patch -s -f -p1 '--fuzz=0' + echo 'Patch #6 (linux-wistron-nx.patch):' Patch #6 (linux-wistron-nx.patch): + </tmp/B.28zju6vg/linux-wistron-nx.patch + /usr/bin/patch -s -f -p1 '--fuzz=0' + echo 'Patch #10 (kernel-pom-ng-IPV4OPTSSTRIP.patch):' Patch #10 (kernel-pom-ng-IPV4OPTSSTRIP.patch): + </tmp/B.28zju6vg/kernel-pom-ng-IPV4OPTSSTRIP.patch + /usr/bin/patch -s -f -p1 '--fuzz=0' + echo 'Patch #55 (kernel-atm-vbr.patch):' Patch #55 (kernel-atm-vbr.patch): + </tmp/B.28zju6vg/kernel-atm-vbr.patch + /usr/bin/patch -s -f -p1 '--fuzz=0' + echo 'Patch #56 (kernel-atmdd.patch):' Patch #56 (kernel-atmdd.patch): + </tmp/B.28zju6vg/kernel-atmdd.patch + /usr/bin/patch -s -f -p1 '--fuzz=0' + echo 'Patch #59 (kernel-rndis_host-wm5.patch):' Patch #59 (kernel-rndis_host-wm5.patch): + </tmp/B.28zju6vg/kernel-rndis_host-wm5.patch + /usr/bin/patch -s -f -p1 '--fuzz=0' + echo 'Patch #85 (kernel-hostap.patch):' Patch #85 (kernel-hostap.patch): + </tmp/B.28zju6vg/kernel-hostap.patch + /usr/bin/patch -s -f -p1 '--fuzz=0' + echo 'Patch #145 (kernel-aufs.patch):' Patch #145 (kernel-aufs.patch): + </tmp/B.28zju6vg/kernel-aufs.patch + /usr/bin/patch -s -f -p1 '--fuzz=0' + echo 'Patch #250 (kernel-fix_256colors_menuconfig.patch):' Patch #250 (kernel-fix_256colors_menuconfig.patch): + </tmp/B.28zju6vg/kernel-fix_256colors_menuconfig.patch + /usr/bin/patch -s -f -p1 '--fuzz=0' + echo 'Patch #2000 (kernel-small_fixes.patch):' Patch #2000 (kernel-small_fixes.patch): + </tmp/B.28zju6vg/kernel-small_fixes.patch + /usr/bin/patch -s -f -p1 '--fuzz=0' + echo 'Patch #2001 (kernel-pwc-uncompress.patch):' Patch #2001 (kernel-pwc-uncompress.patch): + </tmp/B.28zju6vg/kernel-pwc-uncompress.patch + /usr/bin/patch -s -f -p1 '--fuzz=0' + chmod 755 tools/objtool/sync-check.sh + sed -i 's#EXTRAVERSION =.*#EXTRAVERSION = #g' Makefile + find '(' -name '*~' -o -name '*.orig' -o -name .gitignore ')' -print0 + xargs -0 -r -l512 rm -f + find -name '*.py' -print0 + xargs -0 /bin/sed -i -e '1s,/usr/bin/python$,/usr/bin/python2,' -e '1s,/usr/bin/env python$,/usr/bin/python2,' -e '1s,/usr/bin/env python3$,/usr/bin/python3,' + /bin/sed -i -e '1s,/usr/bin/python$,/usr/bin/python2,' -e '1s,/usr/bin/env python$,/usr/bin/python2,' -e '1s,/usr/bin/env python3$,/usr/bin/python3,' drivers/staging/greybus/tools/lbtest scripts/bloat-o-meter scripts/diffconfig scripts/dtc/dt-extract-compatibles scripts/jobserver-exec scripts/show_delta tools/hv/vmbus_testing tools/kvm/kvm_stat/kvm_stat tools/testing/selftests/exec/binfmt_script.py + find -name '*.pl' -print0 + xargs -0 /bin/sed -i -e '1s,/usr/bin/env perl,/usr/bin/perl,' + /bin/sed -i -e '1s,/usr/bin/env perl,/usr/bin/perl,' scripts/dtc/dt_to_config scripts/cleanfile scripts/cleanpatch scripts/documentation-file-ref-check scripts/get_dvb_firmware scripts/kernel-doc scripts/sphinx-pre-install scripts/stackdelta + /bin/sed -i -e '1s,/usr/bin/env bash,/bin/bash,' tools/testing/selftests/powerpc/security/mitigation-patching.sh scripts/config scripts/check-local-export + RPM_EC=0 + jobs -p + exit 0 Executing(%build): /bin/sh -e /tmp/B.28zju6vg/BUILD/tmp/rpm-tmp.CEJ4vq TMP=/home/users/builder/tmp HOME=/home/users/builder PATH=/home/users/builder/GNUstep/Tools:/bin:/usr/bin:/usr/local/bin:/home/users/builder/bin TMPDIR=/tmp/B.28zju6vg/BUILD/tmp + umask 022 + cd /tmp/B.28zju6vg/BUILD + cd kernel-6.1-6.1.27 + install -d /tmp/B.28zju6vg/BUILD/kernel-6.1-6.1.27/x86_64-gcc-13.1.0 + >x86_64-gcc-13.1.0.mk + <<"EOF" # generated by kernel-6.1.spec KERNELSRC := /tmp/B.28zju6vg/BUILD/kernel-6.1-6.1.27/linux-6.1 KERNELOUTPUT := /tmp/B.28zju6vg/BUILD/kernel-6.1-6.1.27/x86_64-gcc-13.1.0 SRCARCH := x86 ARCH := x86_64 Q := @ MAKE_OPTS := ARCH=x86_64 CC="x86_64-pld-linux-gcc" HOSTCC="x86_64-pld-linux-gcc -D_FILE_OFFSET_BITS=64" DEFCONFIG := arch/x86/defconfig EOF + cat + cd /tmp/B.28zju6vg/BUILD/kernel-6.1-6.1.27/x86_64-gcc-13.1.0 + install -d arch/x86 + >arch/x86/defconfig + BuildConfig + set -e + Config=kernel-x86.config + >&2 + echo 'Building config file for x86_64 using kernel-x86.config et al.' Building config file for x86_64 using kernel-x86.config et al. + <<-EOCONFIG LOCALVERSION="-1" CONFIG_INIT_STACK_ALL_ZERO=y CONFIG_GCC_PLUGIN_STRUCTLEAK_BYREF_ALL=n EOCONFIG + >important.config + cat + mawk -v 'arch=all x86 x86_64 x86_64' -f /tmp/B.28zju6vg/kernel-config.awk important.config /tmp/B.28zju6vg/kernel-imq.config /tmp/B.28zju6vg/kernel-patches.config /tmp/B.28zju6vg/kernel-multiarch.config /tmp/B.28zju6vg/kernel-x86.config + ln -sf arch/x86/defconfig .config + cd - /tmp/B.28zju6vg/BUILD/kernel-6.1-6.1.27 + /usr/bin/make -Otarget -j28 'TARGETOBJ=x86_64-gcc-13.1.0' oldconfig /usr/bin/make -C /tmp/B.28zju6vg/BUILD/kernel-6.1-6.1.27/linux-6.1 O=/tmp/B.28zju6vg/BUILD/kernel-6.1-6.1.27/x86_64-gcc-13.1.0 ARCH=x86_64 CC="x86_64-pld-linux-gcc" HOSTCC="x86_64-pld-linux-gcc -D_FILE_OFFSET_BITS=64" oldconfig GEN Makefile HOSTCC scripts/basic/fixdep LEX scripts/kconfig/lexer.lex.c HOSTCC scripts/kconfig/util.o YACC scripts/kconfig/parser.tab.[ch] HOSTCC scripts/kconfig/preprocess.o HOSTCC scripts/kconfig/conf.o HOSTCC scripts/kconfig/menu.o HOSTCC scripts/kconfig/expr.o HOSTCC scripts/kconfig/confdata.o HOSTCC scripts/kconfig/symbol.o HOSTCC scripts/kconfig/parser.tab.o HOSTCC scripts/kconfig/lexer.lex.o HOSTLD scripts/kconfig/conf # # configuration written to .config # + mawk -v 'infile=/tmp/B.28zju6vg/BUILD/kernel-6.1-6.1.27/x86_64-gcc-13.1.0/arch/x86/defconfig' -f /tmp/B.28zju6vg/kernel-track-config-change.awk /tmp/B.28zju6vg/BUILD/kernel-6.1-6.1.27/x86_64-gcc-13.1.0/.config ERROR (kernel-multiarch.config): CONFIG_FB_SIMPLE redefined from `y' to `m' There were 1 errors + /usr/bin/make -Otarget -j28 'TARGETOBJ=x86_64-gcc-13.1.0' scripts /usr/bin/make -C /tmp/B.28zju6vg/BUILD/kernel-6.1-6.1.27/linux-6.1 O=/tmp/B.28zju6vg/BUILD/kernel-6.1-6.1.27/x86_64-gcc-13.1.0 ARCH=x86_64 CC="x86_64-pld-linux-gcc" HOSTCC="x86_64-pld-linux-gcc -D_FILE_OFFSET_BITS=64" scripts GENSEED scripts/basic/randstruct.seed SEEDHDR scripts/gcc-plugins/randomize_layout_seed.h LEX scripts/genksyms/lex.lex.c HOSTCC scripts/bin2c HOSTCC scripts/selinux/genheaders/genheaders HOSTCC scripts/selinux/mdp/mdp HOSTCC scripts/kallsyms HOSTCC scripts/genksyms/genksyms.o HOSTCC scripts/sorttable YACC scripts/genksyms/parse.tab.[ch] HOSTCC scripts/asn1_compiler HOSTCC scripts/genksyms/parse.tab.o HOSTCC scripts/sign-file HOSTCC scripts/genksyms/lex.lex.o HOSTCC scripts/insert-sys-cert HOSTCXX scripts/gcc-plugins/stackleak_plugin.so In file included from /tmp/B.28zju6vg/BUILD/kernel-6.1-6.1.27/linux-6.1/scripts/gcc-plugins/gcc-common.h:75, from /tmp/B.28zju6vg/BUILD/kernel-6.1-6.1.27/linux-6.1/scripts/gcc-plugins/stackleak_plugin.c:30: /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:72:32: error: use of enum 'gsi_iterator_update' without previous declaration 72 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:75:32: error: use of enum 'gsi_iterator_update' without previous declaration 75 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:78:32: error: use of enum 'gsi_iterator_update' without previous declaration 78 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_build(gimple**, location_t, tree_code, tree, Args ...)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:87:30: error: there are no arguments to 'gsi_last' that depend on a template parameter, so a declaration of 'gsi_last' must be available [-fpermissive] 87 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:87:30: note: (if you use '-fpermissive', G++ will accept your code, but allowing the use of an undeclared name is deprecated) /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:88:37: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 88 | return gimple_build (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_build(gimple**, tree_code, tree, Args ...)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:97:30: error: there are no arguments to 'gsi_last' that depend on a template parameter, so a declaration of 'gsi_last' must be available [-fpermissive] 97 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:98:37: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 98 | return gimple_build (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: At global scope: /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:103:32: error: use of enum 'gsi_iterator_update' without previous declaration 103 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:106:32: error: use of enum 'gsi_iterator_update' without previous declaration 106 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:109:32: error: use of enum 'gsi_iterator_update' without previous declaration 109 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:112:32: error: use of enum 'gsi_iterator_update' without previous declaration 112 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_build(gimple**, location_t, combined_fn, tree, Args ...)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:121:30: error: there are no arguments to 'gsi_last' that depend on a template parameter, so a declaration of 'gsi_last' must be available [-fpermissive] 121 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:122:37: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 122 | return gimple_build (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_build(gimple**, combined_fn, tree, Args ...)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:131:30: error: there are no arguments to 'gsi_last' that depend on a template parameter, so a declaration of 'gsi_last' must be available [-fpermissive] 131 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:132:37: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 132 | return gimple_build (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: At global scope: /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:137:32: error: use of enum 'gsi_iterator_update' without previous declaration 137 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:140:32: error: use of enum 'gsi_iterator_update' without previous declaration 140 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:143:32: error: use of enum 'gsi_iterator_update' without previous declaration 143 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_build(gimple**, location_t, code_helper, tree, Args ...)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:153:30: error: there are no arguments to 'gsi_last' that depend on a template parameter, so a declaration of 'gsi_last' must be available [-fpermissive] 153 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:154:37: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 154 | return gimple_build (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_build(gimple**, code_helper, tree, Args ...)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:164:30: error: there are no arguments to 'gsi_last' that depend on a template parameter, so a declaration of 'gsi_last' must be available [-fpermissive] 164 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:165:37: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 165 | return gimple_build (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: At global scope: /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:170:34: error: use of enum 'gsi_iterator_update' without previous declaration 170 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_convert(gimple**, location_t, tree, tree)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:175:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type 175 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:175:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'? 175 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ | ei_last /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:176:39: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 176 | return gimple_convert (&gsi, false, GSI_CONTINUE_LINKING, loc, type, op); | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_convert(gimple**, tree, tree)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:181:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type 181 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:181:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'? 181 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ | ei_last /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:182:39: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 182 | return gimple_convert (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: At global scope: /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:187:48: error: use of enum 'gsi_iterator_update' without previous declaration 187 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_convert_to_ptrofftype(gimple**, location_t, tree)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:192:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type 192 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:192:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'? 192 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ | ei_last /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:193:53: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 193 | return gimple_convert_to_ptrofftype (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_convert_to_ptrofftype(gimple**, tree)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:199:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type 199 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:199:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'? 199 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ | ei_last /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:200:53: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 200 | return gimple_convert_to_ptrofftype (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: At global scope: /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:205:48: error: use of enum 'gsi_iterator_update' without previous declaration 205 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_build_vector_from_val(gimple**, location_t, tree, tree)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:211:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type 211 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:211:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'? 211 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ | ei_last /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:212:53: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 212 | return gimple_build_vector_from_val (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_build_vector_from_val(gimple**, tree, tree)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:218:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type 218 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:218:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'? 218 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ | ei_last /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:219:53: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 219 | return gimple_build_vector_from_val (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: At global scope: /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:225:39: error: use of enum 'gsi_iterator_update' without previous declaration 225 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_build_vector(gimple**, location_t, tree_vector_builder*)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:231:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type 231 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:231:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'? 231 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ | ei_last /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:232:44: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 232 | return gimple_build_vector (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_build_vector(gimple**, tree_vector_builder*)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:238:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type 238 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:238:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'? 238 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ | ei_last /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:239:44: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 239 | return gimple_build_vector (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: At global scope: /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:244:41: error: use of enum 'gsi_iterator_update' without previous declaration 244 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_build_round_up(gimple**, location_t, tree, tree, long unsigned int)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:251:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type 251 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:251:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'? 251 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ | ei_last /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:252:46: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 252 | return gimple_build_round_up (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_build_round_up(gimple**, tree, tree, long unsigned int)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:259:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type 259 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:259:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'? 259 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ | ei_last /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:260:46: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 260 | return gimple_build_round_up (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ make[4]: *** [/tmp/B.28zju6vg/BUILD/kernel-6.1-6.1.27/linux-6.1/scripts/gcc-plugins/Makefile:54: scripts/gcc-plugins/stackleak_plugin.so] Error 1 make[4]: *** Waiting for unfinished jobs.... HOSTLD scripts/genksyms/genksyms HOSTCXX scripts/gcc-plugins/randomize_layout_plugin.so In file included from /tmp/B.28zju6vg/BUILD/kernel-6.1-6.1.27/linux-6.1/scripts/gcc-plugins/gcc-common.h:75, from /tmp/B.28zju6vg/BUILD/kernel-6.1-6.1.27/linux-6.1/scripts/gcc-plugins/randomize_layout_plugin.c:19: /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:72:32: error: use of enum 'gsi_iterator_update' without previous declaration 72 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:75:32: error: use of enum 'gsi_iterator_update' without previous declaration 75 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:78:32: error: use of enum 'gsi_iterator_update' without previous declaration 78 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_build(gimple**, location_t, tree_code, tree, Args ...)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:87:30: error: there are no arguments to 'gsi_last' that depend on a template parameter, so a declaration of 'gsi_last' must be available [-fpermissive] 87 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:87:30: note: (if you use '-fpermissive', G++ will accept your code, but allowing the use of an undeclared name is deprecated) /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:88:37: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 88 | return gimple_build (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_build(gimple**, tree_code, tree, Args ...)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:97:30: error: there are no arguments to 'gsi_last' that depend on a template parameter, so a declaration of 'gsi_last' must be available [-fpermissive] 97 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:98:37: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 98 | return gimple_build (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: At global scope: /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:103:32: error: use of enum 'gsi_iterator_update' without previous declaration 103 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:106:32: error: use of enum 'gsi_iterator_update' without previous declaration 106 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:109:32: error: use of enum 'gsi_iterator_update' without previous declaration 109 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:112:32: error: use of enum 'gsi_iterator_update' without previous declaration 112 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_build(gimple**, location_t, combined_fn, tree, Args ...)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:121:30: error: there are no arguments to 'gsi_last' that depend on a template parameter, so a declaration of 'gsi_last' must be available [-fpermissive] 121 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:122:37: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 122 | return gimple_build (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_build(gimple**, combined_fn, tree, Args ...)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:131:30: error: there are no arguments to 'gsi_last' that depend on a template parameter, so a declaration of 'gsi_last' must be available [-fpermissive] 131 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:132:37: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 132 | return gimple_build (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: At global scope: /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:137:32: error: use of enum 'gsi_iterator_update' without previous declaration 137 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:140:32: error: use of enum 'gsi_iterator_update' without previous declaration 140 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:143:32: error: use of enum 'gsi_iterator_update' without previous declaration 143 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_build(gimple**, location_t, code_helper, tree, Args ...)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:153:30: error: there are no arguments to 'gsi_last' that depend on a template parameter, so a declaration of 'gsi_last' must be available [-fpermissive] 153 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:154:37: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 154 | return gimple_build (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_build(gimple**, code_helper, tree, Args ...)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:164:30: error: there are no arguments to 'gsi_last' that depend on a template parameter, so a declaration of 'gsi_last' must be available [-fpermissive] 164 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:165:37: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 165 | return gimple_build (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: At global scope: /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:170:34: error: use of enum 'gsi_iterator_update' without previous declaration 170 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_convert(gimple**, location_t, tree, tree)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:175:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type 175 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:175:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'? 175 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ | ei_last /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:176:39: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 176 | return gimple_convert (&gsi, false, GSI_CONTINUE_LINKING, loc, type, op); | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_convert(gimple**, tree, tree)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:181:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type 181 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:181:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'? 181 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ | ei_last /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:182:39: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 182 | return gimple_convert (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: At global scope: /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:187:48: error: use of enum 'gsi_iterator_update' without previous declaration 187 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_convert_to_ptrofftype(gimple**, location_t, tree)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:192:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type 192 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:192:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'? 192 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ | ei_last /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:193:53: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 193 | return gimple_convert_to_ptrofftype (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_convert_to_ptrofftype(gimple**, tree)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:199:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type 199 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:199:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'? 199 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ | ei_last /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:200:53: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 200 | return gimple_convert_to_ptrofftype (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: At global scope: /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:205:48: error: use of enum 'gsi_iterator_update' without previous declaration 205 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_build_vector_from_val(gimple**, location_t, tree, tree)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:211:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type 211 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:211:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'? 211 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ | ei_last /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:212:53: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 212 | return gimple_build_vector_from_val (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_build_vector_from_val(gimple**, tree, tree)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:218:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type 218 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:218:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'? 218 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ | ei_last /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:219:53: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 219 | return gimple_build_vector_from_val (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: At global scope: /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:225:39: error: use of enum 'gsi_iterator_update' without previous declaration 225 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_build_vector(gimple**, location_t, tree_vector_builder*)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:231:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type 231 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:231:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'? 231 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ | ei_last /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:232:44: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 232 | return gimple_build_vector (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_build_vector(gimple**, tree_vector_builder*)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:238:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type 238 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:238:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'? 238 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ | ei_last /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:239:44: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 239 | return gimple_build_vector (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: At global scope: /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:244:41: error: use of enum 'gsi_iterator_update' without previous declaration 244 | enum gsi_iterator_update, | ^~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_build_round_up(gimple**, location_t, tree, tree, long unsigned int)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:251:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type 251 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:251:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'? 251 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ | ei_last /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:252:46: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 252 | return gimple_build_round_up (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h: In function 'tree_node* gimple_build_round_up(gimple**, tree, tree, long unsigned int)': /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:259:24: error: variable 'gimple_stmt_iterator gsi' has initializer but incomplete type 259 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~ /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:259:30: error: 'gsi_last' was not declared in this scope; did you mean 'ei_last'? 259 | gimple_stmt_iterator gsi = gsi_last (*seq); | ^~~~~~~~ | ei_last /usr/lib64/gcc/x86_64-pld-linux/13.1.0/plugin/include/gimple-fold.h:260:46: error: 'GSI_CONTINUE_LINKING' was not declared in this scope 260 | return gimple_build_round_up (&gsi, false, GSI_CONTINUE_LINKING, | ^~~~~~~~~~~~~~~~~~~~ make[4]: *** [/tmp/B.28zju6vg/BUILD/kernel-6.1-6.1.27/linux-6.1/scripts/gcc-plugins/Makefile:54: scripts/gcc-plugins/randomize_layout_plugin.so] Error 1 make[3]: *** [/tmp/B.28zju6vg/BUILD/kernel-6.1-6.1.27/linux-6.1/scripts/Makefile.build:500: scripts/gcc-plugins] Error 2 make[2]: *** [/tmp/B.28zju6vg/BUILD/kernel-6.1-6.1.27/linux-6.1/Makefile:1273: scripts] Error 2 make[1]: *** [Makefile:238: __sub-make] Error 2 make: *** [Makefile:9: scripts] Error 2 error: Bad exit status from /tmp/B.28zju6vg/BUILD/tmp/rpm-tmp.CEJ4vq (%build) RPM build warnings: Macro expanded in comment on line 72: %{basever}' for longterm branch Macro expanded in comment on line 76: %{nil}%{?alt_kernel:-%{?alt_kernel}} (defined in rpm.macros) Macro expanded in comment on line 77: %{?alt_kernel:foo} constructs) extra tokens at the end of %endif directive in line 678: %endif # vanilla Could not canonicalize hostname: ymir RPM build errors: Bad exit status from /tmp/B.28zju6vg/BUILD/tmp/rpm-tmp.CEJ4vq (%build) ended at: Mon May 1 22:44:18 2023, done in 0:00:39.748696 error: No files produced. + chmod -R u+rwX /tmp/B.28zju6vg/BUILD + rm -rf /tmp/B.28zju6vg/tmp /tmp/B.28zju6vg/BUILD + rm -rf /tmp/B.28zju6vg Begin-PLD-Builder-Info Build-Time: user:36.81s sys:18.69s real:69.55s (faults io:2 non-io:799475) End-PLD-Builder-Info
[Back to list of logs] [View rpm -qa of builder]